## libpythonqt 2.0.1-6%2bsvn20101027

=== examples/CPPPyWrapperExample-build-desktop/Makefile ===
#############################################################################
# Makefile for building: ../../lib/CPPPyWrapperExample_d
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Oct 30 10:12:29 2010
# Project:  ../CPPPyWrapperExample/CPPPyWrapperExample.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -spec /usr/share/qt4/mkspecs/linux-g++ CONFIG+=debug -o Makefile ../CPPPyWrapperExample/CPPPyWrapperExample.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I../CPPPyWrapperExample -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I../../src -I. -I../CPPPyWrapperExample -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -L/scratchbox/users/simon/home/simon/build/PythonQt/pythonqt/trunk/build/../lib -lPythonQt_d -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../CPPPyWrapperExample/CPPPyWrapperExample.cpp qrc_CPPPyWrapperExample.cpp
OBJECTS       = CPPPyWrapperExample.o \
		qrc_CPPPyWrapperExample.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../build/common.prf \
		../../build/python.prf \
		../../build/PythonQt.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		../CPPPyWrapperExample/CPPPyWrapperExample.pro
QMAKE_TARGET  = CPPPyWrapperExample_d
DESTDIR       = ../../lib/
TARGET        = ../../lib/CPPPyWrapperExample_d

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../../lib/ || $(MKDIR) ../../lib/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../CPPPyWrapperExample/CPPPyWrapperExample.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../build/common.prf \
		../../build/python.prf \
		../../build/PythonQt.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ CONFIG+=debug -o Makefile ../CPPPyWrapperExample/CPPPyWrapperExample.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../../build/common.prf:
../../build/python.prf:
../../build/PythonQt.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ CONFIG+=debug -o Makefile ../CPPPyWrapperExample/CPPPyWrapperExample.pro

dist: 
	@$(CHK_DIR_EXISTS) ../CPPPyWrapperExample/.tmp/CPPPyWrapperExample_d1.0.0 || $(MKDIR) ../CPPPyWrapperExample/.tmp/CPPPyWrapperExample_d1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../CPPPyWrapperExample/.tmp/CPPPyWrapperExample_d1.0.0/ && $(COPY_FILE) --parents ../CPPPyWrapperExample/CPPPyWrapperExample.qrc ../CPPPyWrapperExample/.tmp/CPPPyWrapperExample_d1.0.0/ && $(COPY_FILE) --parents ../CPPPyWrapperExample/CPPPyWrapperExample.cpp ../CPPPyWrapperExample/.tmp/CPPPyWrapperExample_d1.0.0/ && (cd `dirname ../CPPPyWrapperExample/.tmp/CPPPyWrapperExample_d1.0.0` && $(TAR) CPPPyWrapperExample_d1.0.0.tar CPPPyWrapperExample_d1.0.0 && $(COMPRESS) CPPPyWrapperExample_d1.0.0.tar) && $(MOVE) `dirname ../CPPPyWrapperExample/.tmp/CPPPyWrapperExample_d1.0.0`/CPPPyWrapperExample_d1.0.0.tar.gz . && $(DEL_FILE) -r ../CPPPyWrapperExample/.tmp/CPPPyWrapperExample_d1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all: qrc_CPPPyWrapperExample.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_CPPPyWrapperExample.cpp
qrc_CPPPyWrapperExample.cpp: ../CPPPyWrapperExample/CPPPyWrapperExample.qrc \
		../CPPPyWrapperExample/eyed3tagger.py
	/usr/bin/rcc -name CPPPyWrapperExample ../CPPPyWrapperExample/CPPPyWrapperExample.qrc -o qrc_CPPPyWrapperExample.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_rcc_clean 

####### Compile

CPPPyWrapperExample.o: ../CPPPyWrapperExample/CPPPyWrapperExample.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o CPPPyWrapperExample.o ../CPPPyWrapperExample/CPPPyWrapperExample.cpp

qrc_CPPPyWrapperExample.o: qrc_CPPPyWrapperExample.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_CPPPyWrapperExample.o qrc_CPPPyWrapperExample.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== examples/CPPPyWrapperExample/Makefile ===
#############################################################################
# Makefile for building: ../../lib/CPPPyWrapperExample
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Oct 30 10:02:18 2010
# Project:  CPPPyWrapperExample.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile CPPPyWrapperExample.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -I/usr/include/python2.5 -I/usr/include/python2.5 -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I../../src -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -ldl -lutil -lm -lpython2.5 -L/home/simon/build/PythonQt/pythonqt/trunk/build/../lib -lPythonQt -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = CPPPyWrapperExample.cpp qrc_CPPPyWrapperExample.cpp
OBJECTS       = CPPPyWrapperExample.o \
		qrc_CPPPyWrapperExample.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../build/common.prf \
		../../build/python.prf \
		../../build/PythonQt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		CPPPyWrapperExample.pro
QMAKE_TARGET  = CPPPyWrapperExample
DESTDIR       = ../../lib/
TARGET        = ../../lib/CPPPyWrapperExample

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../../lib/ || $(MKDIR) ../../lib/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: CPPPyWrapperExample.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../build/common.prf \
		../../build/python.prf \
		../../build/PythonQt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile CPPPyWrapperExample.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
../../build/common.prf:
../../build/python.prf:
../../build/PythonQt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile CPPPyWrapperExample.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/CPPPyWrapperExample1.0.0 || $(MKDIR) .tmp/CPPPyWrapperExample1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/CPPPyWrapperExample1.0.0/ && $(COPY_FILE) --parents CPPPyWrapperExample.qrc .tmp/CPPPyWrapperExample1.0.0/ && $(COPY_FILE) --parents CPPPyWrapperExample.cpp .tmp/CPPPyWrapperExample1.0.0/ && (cd `dirname .tmp/CPPPyWrapperExample1.0.0` && $(TAR) CPPPyWrapperExample1.0.0.tar CPPPyWrapperExample1.0.0 && $(COMPRESS) CPPPyWrapperExample1.0.0.tar) && $(MOVE) `dirname .tmp/CPPPyWrapperExample1.0.0`/CPPPyWrapperExample1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/CPPPyWrapperExample1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all: qrc_CPPPyWrapperExample.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_CPPPyWrapperExample.cpp
qrc_CPPPyWrapperExample.cpp: CPPPyWrapperExample.qrc \
		eyed3tagger.py
	/usr/bin/rcc -name CPPPyWrapperExample CPPPyWrapperExample.qrc -o qrc_CPPPyWrapperExample.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_rcc_clean 

####### Compile

CPPPyWrapperExample.o: CPPPyWrapperExample.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o CPPPyWrapperExample.o CPPPyWrapperExample.cpp

qrc_CPPPyWrapperExample.o: qrc_CPPPyWrapperExample.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_CPPPyWrapperExample.o qrc_CPPPyWrapperExample.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

## libpythonqt 2.0.1-5%2bsvn20101027

=== debian/changelog ===
libpythonqt (2.0.1-5+svn20101027) unstable; urgency=low

  * Build against SVN trunk rather than 2.0.1 release tarball

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Wed, 27 Oct 2010 09:26:00 +0100

=== debian/control ===
Source: libpythonqt
Section: libs
Priority: extra
Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
Build-Depends: debhelper (>= 5), libqt4-dev, python-dev
Standards-Version: 3.7.2

Package: libpythonqt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PythonQt is a dynamic Python binding for the Qt framework. It is not PyQt!
 PythonQt is a dynamic Python binding for the Qt framework. It offers an easy way to embed 
 the Python scripting language into your C++ Qt applications. The focus of PythonQt  is on 
 embedding Python into an existing C++ application, not on writing the whole application 
 completely in Python. If you want to write your whole application in Python, you should use 
 PyQt or PySide instead.

## libpythonqt 2.0.1-6%2bsvn20101027

=== debian/changelog ===
libpythonqt (2.0.1-6+svn20101027) unstable; urgency=low

  * Add runtime Python dep, doh!

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Sat, 30 Oct 2010 14:46:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: libpythonqt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, python
 Description: PythonQt is a dynamic Python binding for the Qt framework. It is not PyQt!
  PythonQt is a dynamic Python binding for the Qt framework. It offers an easy way to embed 
  the Python scripting language into your C++ Qt applications. The focus of PythonQt  is on

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := libpythonqt

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#builddir:
#	mkdir -p builddir
#
#builddir/Makefile: builddir
#	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
#
#build: build-stamp
#
#build-stamp: builddir/Makefile
#builddir:
#	mkdir -p builddir
#
Makefile:
	#qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
	qmake-qt4 PREFIX=/usr ./$(APPNAME).pro

build: build-stamp

build-stamp: Makefile
	dh_testdir

	# Add here commands to compile the package.
	#cd builddir && $(MAKE)
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	#rm -rf builddir
	-$(MAKE) distclean
	#rm -rf ./debian/libpythonqt-dbg
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/libpythonqt.
	#cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip #--dbg-package=libpythonqt-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
